> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Stream new web chat thread messages

> Server-Sent Events stream for new outbound agent messages on a web chat thread. Load history separately via GET /api/v1/threads/{threadId}/messages.



## OpenAPI

````yaml get /api/v1/threads/{threadId}/stream
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/threads/{threadId}/stream:
    get:
      tags:
        - SMS Threads
      summary: Stream new web chat thread messages
      description: >-
        Server-Sent Events stream for new outbound agent messages on a web chat
        thread. Load history separately via GET
        /api/v1/threads/{threadId}/messages.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: threadId
          in: path
      responses:
        '200':
          description: SSE stream of new agent messages
          content:
            text/event-stream:
              schema:
                type: string
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 403
                  message:
                    type: string
                    default: Forbidden
                  code:
                    type: string
                    enum:
                      - FORBIDDEN
                    default: FORBIDDEN
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '404':
          description: Thread not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 404
                  message:
                    type: string
                    default: Not found
                  code:
                    type: string
                    enum:
                      - NOT_FOUND
                    default: NOT_FOUND
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````